Browse Source

Merge "Fix the glance api version warning"

Zuul 1 year ago
parent
commit
801dee599f

+ 2
- 2
manifests/api.pp View File

@@ -236,7 +236,7 @@
236 236
 #   If you enable this option, you'll get a deprecation warning in Glance
237 237
 #   logs.  If enable_v2_api is set to True, glance::registry::enable_v1_registry
238 238
 #   must be configured to True, since Registry is required in API v1.
239
-#   Defaults to $::os_service_default.
239
+#   Defaults to false.
240 240
 #
241 241
 # [*enable_v2_api*]
242 242
 #   (Optional) Enable or not Glance API v2.
@@ -352,7 +352,7 @@ class glance::api(
352 352
   $conversion_format                    = $::os_service_default,
353 353
   $os_region_name                       = 'RegionOne',
354 354
   $enable_proxy_headers_parsing         = $::os_service_default,
355
-  $enable_v1_api                        = $::os_service_default,
355
+  $enable_v1_api                        = false,
356 356
   $enable_v2_api                        = $::os_service_default,
357 357
   $sync_db                              = true,
358 358
   $validate                             = false,

+ 2
- 2
manifests/registry.pp View File

@@ -119,7 +119,7 @@
119 119
 #    set to True.
120 120
 #    If your OpenStack deployment is only using Glance API v2, this option
121 121
 #    should be set to False.
122
-#    Defaults to $::os_service_default.
122
+#    Defaults to false.
123 123
 #
124 124
 # DEPRECATED PARAMETERS
125 125
 #
@@ -154,7 +154,7 @@ class glance::registry(
154 154
   $key_file                = $::os_service_default,
155 155
   $ca_file                 = $::os_service_default,
156 156
   $os_region_name          = $::os_service_default,
157
-  $enable_v1_registry      = $::os_service_default,
157
+  $enable_v1_registry      = false,
158 158
   # DEPRECATED
159 159
   $sync_db                 = undef,
160 160
 ) inherits glance {

+ 6
- 0
releasenotes/notes/fix_version_warning-9c2b39584af72126.yaml View File

@@ -0,0 +1,6 @@
1
+---
2
+other:
3
+  - Change default value to false for enable_api_v1 in glance::api class.
4
+    Change default value to false for enable_registry_v1 in glance::registry class.
5
+    If enable_api_v1 and enable_registry_v1 options are set to $::os_service_default,
6
+    a warning will be sent. 

+ 1
- 1
spec/classes/glance_api_spec.rb View File

@@ -43,7 +43,7 @@ describe 'glance::api' do
43 43
       :taskflow_engine_mode     => '<SERVICE DEFAULT>',
44 44
       :taskflow_max_workers     => '<SERVICE DEFAULT>',
45 45
       :conversion_format        => '<SERVICE DEFAULT>',
46
-      :enable_v1_api            => '<SERVICE DEFAULT>',
46
+      :enable_v1_api            => false,
47 47
       :enable_v2_api            => '<SERVICE DEFAULT>',
48 48
       :sync_db                  => true,
49 49
       :limit_param_default      => '<SERVICE DEFAULT>',

+ 1
- 1
spec/classes/glance_registry_spec.rb View File

@@ -24,7 +24,7 @@ describe 'glance::registry' do
24 24
       :ca_file                => '<SERVICE DEFAULT>',
25 25
       :cert_file              => '<SERVICE DEFAULT>',
26 26
       :key_file               => '<SERVICE DEFAULT>',
27
-      :enable_v1_registry     => '<SERVICE DEFAULT>',
27
+      :enable_v1_registry     => false,
28 28
     }
29 29
   end
30 30
 

Loading…
Cancel
Save